Subject: bug#39281: gdm doesn't start

From: Leo Prikler <[email-masked]>
Date: Mon, 27 Jan 2020 06:24:36 +0100

Am Sonntag, den 26.01.2020, 23:50 -0500 schrieb Jack Hill:
> I believe that I've found the problem!
> 
> Using the technique that Ludo’ described in 
> <https://issues.guix.gnu.org/issue/34580#17>;, I was able to grab an
> strace 
> of gdm (attached) while it was failing to start properly. I was
> suspicious 
> of the following line:
> 
> """
> 418   22:46:10 sendto(8, "<13>Jan 26 22:46:10 gdm: GdmManager:
> couldn't 
> look up username gnome-initial-setup\n", 83, MSG_NOSIGNAL, NULL, 0) =
> 83 
> <5.487224>
> """
> 
> so I removed gnome-initial-setup from the propagated-inputs with the 
> following patch, and, indeed, that resolved the problem with gdm on
> my 
> system.
> 
> While I'm still not exactly sure why this was causing gdm problems,
> and 
> why `herd restart xorg-server` caused gdm to start working correctly,
> I 
> think that removing gnome-initial-setup from the gnome meta-package
> is the 
> right thing to do. Instead, perhaps it could be provided via its own 
> service, auto-selected by the installer. If I recall correctly from
> other 
> distros (e.g. Fedora), the gnome-initial-setup wizard is run from its
> own 
> user on first boot, and after it finishes, the user is logged in as 
> themselves. That said, gnome-initial-setup did seem to run fine for
> me the 
> first time I logged into gnome after it was installed, and hasn't
> stared 
> again.
The problem is, that adding gnome-initial-setup in any way to the
operating-system config will likely trigger this bug as well, and not
adding it at all will skip the initial setup until it is installed at
user level (at this point, I'd argue it to be no longer necessary). 
You could try creating a file named "/var/lib/gdm/.config/gnome-
initial-setup-done" with the contents "yes" to skip the initial setup,
but I'm pretty sure, that it will be looked up regardless.

Perhaps some GNOME people know how to disable this in other ways, but
it's the first time I've even seen the dialog, so there's not much else
I can say.  Btw. are there more logs regarding gnome-initial-setup than
this one?  At least in my case none of them seem to land in greeter.log
or messages.

Regards,
Leo